> ## Documentation Index
> Fetch the complete documentation index at: https://lightdash-mintlify-cccf65ca.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get group

> Get group details



## OpenAPI

````yaml https://raw.githubusercontent.com/lightdash/lightdash/refs/heads/main/packages/backend/src/generated/swagger.json get /api/v1/groups/{groupUuid}
openapi: 3.0.0
info:
  title: Lightdash API
  version: 0.3233.0
  description: >
    Open API documentation for all public Lightdash API endpoints. #
    Authentication Before you get started, you might need to create a Personal
    Access Token to authenticate via the API. You can create a token by
    following this guide: https://docs.lightdash.com/references/personal_tokens
  license:
    name: MIT
  contact:
    name: Lightdash Support
    email: support@lightdash.com
    url: https://docs.lightdash.com/help-and-contact/contact/contact_info/
servers:
  - url: /
security: []
tags:
  - name: My Account
    description: These routes allow users to manage their own user account.
  - name: Organizations
    description: >-
      Each user is a member of a single organization. These routes allow users
      to manage their organization. Most actions are only available to admin
      users.
  - name: Projects
    description: >-
      Projects belong to a single organization. These routes allow users to
      manage their projects, browse content, and execute queries. Users inside
      an organization might have access to a project from an organization-level
      role or they might be granted access to a project directly.
  - name: Spaces
    description: >-
      Spaces allow you to organize charts and dashboards within a project. They
      also allow granular access to content by allowing you to create private
      spaces, which are only accessible to the creator and admins.
  - name: Roles & Permissions
    description: >-
      These routes allow users to manage roles and permissions for their
      organization.
    externalDocs:
      url: https://docs.lightdash.com/references/roles
  - name: Query
    description: >-
      These routes allow users to execute and manage queries against their data
      warehouse. This includes metric queries, SQL queries, and retrieving query
      results.
paths:
  /api/v1/groups/{groupUuid}:
    get:
      tags:
        - User Groups
      summary: Get group
      description: Get group details
      operationId: getGroup
      parameters:
        - description: unique id of the group
          in: path
          name: groupUuid
          required: true
          schema:
            type: string
        - description: number of members to include
          in: query
          name: includeMembers
          required: false
          schema:
            type: number
            format: double
        - description: offset of members to include
          in: query
          name: offset
          required: false
          schema:
            type: number
            format: double
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiGroupResponse'
        default:
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorPayload'
      security: []
components:
  schemas:
    ApiGroupResponse:
      properties:
        results:
          anyOf:
            - $ref: '#/components/schemas/Group'
            - $ref: '#/components/schemas/GroupWithMembers'
        status:
          type: string
          enum:
            - ok
          nullable: false
      required:
        - results
        - status
      type: object
    ApiErrorPayload:
      properties:
        error:
          properties:
            data:
              $ref: '#/components/schemas/AnyType'
              description: Optional data containing details of the error
            message:
              type: string
              description: A friendly message summarising the error
            name:
              type: string
              description: Unique name for the type of error
            statusCode:
              type: number
              format: integer
              description: HTTP status code
          required:
            - name
            - statusCode
          type: object
        status:
          type: string
          enum:
            - error
          nullable: false
      required:
        - error
        - status
      type: object
      description: |-
        The Error object is returned from the api any time there is an error.
        The message contains
    Group:
      properties:
        organizationUuid:
          type: string
          description: The UUID of the organization that the group belongs to
        updatedByUserUuid:
          type: string
          nullable: true
          description: The UUID of the user that last updated the group
        updatedAt:
          type: string
          format: date-time
          description: The time that the group was last updated
        createdByUserUuid:
          type: string
          nullable: true
          description: The UUID of the user that created the group
        createdAt:
          type: string
          format: date-time
          description: The time that the group was created
        name:
          type: string
          description: A friendly name for the group
        uuid:
          type: string
          description: The group's UUID
      required:
        - organizationUuid
        - updatedByUserUuid
        - updatedAt
        - createdByUserUuid
        - createdAt
        - name
        - uuid
      type: object
    GroupWithMembers:
      allOf:
        - $ref: '#/components/schemas/Group'
        - properties:
            memberUuids:
              items:
                type: string
              type: array
            members:
              items:
                $ref: '#/components/schemas/GroupMember'
              type: array
              description: A list of the group's members.
          required:
            - memberUuids
            - members
          type: object
      description: Details for a group including a list of the group's members.
    AnyType:
      description: |-
        This AnyType is an alias for any
        The goal is to make it easier to identify any type in the codebase
        without having to eslint-disable all the time
        These are only used on legacy `any` types, don't use it for new types.
        This is added on a separate file to avoid circular dependencies.
    GroupMember:
      properties:
        lastName:
          type: string
          description: The user's last name
        firstName:
          type: string
          description: The user's first name
        email:
          type: string
          description: Primary email address for the user
        userUuid:
          type: string
          description: Unique id for the user
          format: uuid
      required:
        - lastName
        - firstName
        - email
        - userUuid
      type: object
      description: A summary for a Lightdash user within a group

````